Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 15 sur 15

Discussion: Eclipse en français

  1. #1
    Membre Expert
    Avatar de xavlours
    Inscrit en
    février 2004
    Messages
    1 833
    Détails du profil
    Informations forums :
    Inscription : février 2004
    Messages : 1 833
    Points : 2 176
    Points
    2 176

    Par défaut

    Bonjour,

    Les Packages de langues Babel sont des plugins à ajouter à une installation Eclipse existante.

    Vous avez deux possibilités, soit vous récupérez et installez à la main les fichiers zip, soit vous passez par les update-sites directement au sein d'Eclipse.

    Zip et Update Sites - R0.8.1 (2010/12/11)

    Les fichiers Zips pour les versions suivantes


    REMARQUE : Ces URL ont une fâcheuse tendance à changer, donc il recommandé de passer directement par le site de Babel pour retrouver le bundle dont vous avez besoin http://babel.eclipse.org/babel/

    Les URL d'update-sites :


    Remarque : Ces URL d'update-sites ne sont exploitables qu'à partir d'Eclipse.
    Procédures d'installation disponibles :


    Recommandation :
    Avant de vous lancer dans cette installation, ayez à l'esprit que la francisation d'une installation d'Eclipse n'est pas véritablement une bonne idée, pour les raisons évoquées ici FAQ.
    Deux raisons principales : Babel est toujours à la traine par rapport aux dernières versions d'Eclipse et d'autre part, les packs de langue sont parfois la cause de problèmes (le forum peut en témoigner).
    "Le bon ni le mauvais ne me feraient de peine si si si je savais que j'en aurais l'étrenne." B.V.
    Non au langage SMS ! Je ne répondrai pas aux questions techniques par MP.
    Eclipse : News, FAQ, Cours, Livres, Blogs.Et moi.

  2. #2
    Invité de passage
    Inscrit en
    mars 2009
    Messages
    6
    Détails du profil
    Informations forums :
    Inscription : mars 2009
    Messages : 6
    Points : 2
    Points
    2

    Par défaut

    Bonjour,

    J'ai Eclipse 3.4.2 et j'ai suivi la procédure d'installation, c'est à dire l'insertion du lien "http://download.eclipse.org/technology/babel/update-site/ganymede/" dans Software Update > Available software > Add site.

    Il apparait bien dans la liste sous le nom de Babel language packs update site.

    Mais le problème est qu'il n'y a rien à déplier sur ce lien, pas de languages packs comme indiquer sur le screenshot du blog.

    Pourriez vous m'aider à résoudre ce problème ?

    Merci

  3. #3
    Rédacteur/Modérateur
    Avatar de Laurent.B
    Homme Profil pro Laurent Barbareau
    Ingénieur développement logiciels
    Inscrit en
    novembre 2004
    Messages
    3 172
    Détails du profil
    Informations personnelles :
    Nom : Homme Laurent Barbareau
    Âge : 40
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2004
    Messages : 3 172
    Points : 15 096
    Points
    15 096

    Par défaut

    Citation Envoyé par mackbolan Voir le message
    Mais le probleme c'est qu'il n'y a rien a deplier sur ce lien, pas de languages packs comme indiquer sur le screen du blog.
    A priori c'est sans doute que l'update-site n'est pas encore à jour pour la version 3.4.2.
    Tu peux toujours essayer d'installer le plugin à la main (via le site de babel) car fondamentalement, ce ne doit pas être incompatible, c'est juste que pour le gestionnaire de mises à jour, les conditions de dépendance ne doivent pas être remplies.

    Je ne fais que des suppositions car perso je n'utilise pas ce plugin et je recommande de faire de même car lorsque l'on a besoin d'aide pour trouver tel ou tel fonction/paramétrage, si on fait les recherches sur les termes anglais, on obtient plus facilement les réponses.
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Pensez à cliquer sur le bouton une fois votre problème solutionné, merci.

  4. #4
    Membre Expert
    Avatar de xavlours
    Inscrit en
    février 2004
    Messages
    1 833
    Détails du profil
    Informations forums :
    Inscription : février 2004
    Messages : 1 833
    Points : 2 176
    Points
    2 176

    Par défaut

    Sinon, le site des nightly builds fonctionne bien :
    http://build.eclipse.org/technology/babel/test-updates/ganymede
    "Le bon ni le mauvais ne me feraient de peine si si si je savais que j'en aurais l'étrenne." B.V.
    Non au langage SMS ! Je ne répondrai pas aux questions techniques par MP.
    Eclipse : News, FAQ, Cours, Livres, Blogs.Et moi.

  5. #5
    Expert Confirmé Sénior
    Avatar de djo.mos
    Inscrit en
    octobre 2004
    Messages
    4 674
    Détails du profil
    Informations forums :
    Inscription : octobre 2004
    Messages : 4 674
    Points : 7 007
    Points
    7 007

    Par défaut

    Salut,
    Le site d'update de Babel n'est plus fonctionnel depuis la màj du 1er Mars 2009 : apparemment, il y a eu un problème dans la génération de l'update-site : https://bugs.eclipse.org/bugs/show_bug.cgi?id=266838

  6. #6
    Invité de passage
    Inscrit en
    mars 2009
    Messages
    6
    Détails du profil
    Informations forums :
    Inscription : mars 2009
    Messages : 6
    Points : 2
    Points
    2

    Par défaut

    super merci ça marche, mais je vais tout de même me mettre a l'anglais sérieusement et quand je serai au point je remettrai éclipse en version anglaise.

  7. #7
    Expert Confirmé Sénior
    Avatar de djo.mos
    Inscrit en
    octobre 2004
    Messages
    4 674
    Détails du profil
    Informations forums :
    Inscription : octobre 2004
    Messages : 4 674
    Points : 7 007
    Points
    7 007

    Par défaut

    Citation Envoyé par djo.mos Voir le message
    Salut,
    Le site d'update de Babel n'est plus fonctionnel depuis la màj du 1er Mars 2009 : apparemment, il y a eu un problème dans la génération de l'update-site : https://bugs.eclipse.org/bugs/show_bug.cgi?id=266838
    Ca a ete marque comme resolu

    (Desole pour les accents : qwerty oblige)

  8. #8
    Nouveau Membre du Club
    Inscrit en
    février 2007
    Messages
    186
    Détails du profil
    Informations forums :
    Inscription : février 2007
    Messages : 186
    Points : 37
    Points
    37

    Par défaut

    "http://download.eclipse.org/technology/babel/update-site/ganymede/" et
    "http://build.eclipse.org/technology/babel/test-updates/ganymede"
    ne fonctionne pas pour moi...
    Version: 3.4.2
    Build id: M20090211-1700

    Une aide ou un conseil ??

  9. #9
    Rédacteur/Modérateur
    Avatar de Laurent.B
    Homme Profil pro Laurent Barbareau
    Ingénieur développement logiciels
    Inscrit en
    novembre 2004
    Messages
    3 172
    Détails du profil
    Informations personnelles :
    Nom : Homme Laurent Barbareau
    Âge : 40
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2004
    Messages : 3 172
    Points : 15 096
    Points
    15 096

    Par défaut

    Bonjour,

    Effectivement, on dirait que les update sites de Babel sont H.S. actuellement...

    Il ne reste plus qu'à surveiller tout ça à partir du site http://www.eclipse.org/babel/
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Pensez à cliquer sur le bouton une fois votre problème solutionné, merci.

  10. #10
    Débutant Avatar de razily
    Inscrit en
    février 2009
    Messages
    376
    Détails du profil
    Informations forums :
    Inscription : février 2009
    Messages : 376
    Points : 113
    Points
    113

    Par défaut

    Bonjour,

    J'ai les mêmes problèmes évoqués précédemment et j'ai suivi l'instruction :
    Menu Help... Add .. en entrant http://www.eclipse.org/babel/downloads.php et il affiche un message de ce genre alors que je suis connecté :
    J'utilise Ganymede 3.4.2 sous Vista.

  11. #11
    Rédacteur/Modérateur
    Avatar de Laurent.B
    Homme Profil pro Laurent Barbareau
    Ingénieur développement logiciels
    Inscrit en
    novembre 2004
    Messages
    3 172
    Détails du profil
    Informations personnelles :
    Nom : Homme Laurent Barbareau
    Âge : 40
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2004
    Messages : 3 172
    Points : 15 096
    Points
    15 096

    Par défaut

    Citation Envoyé par razily Voir le message
    Oui euh là c'est normal, ce n'est pas une adresse d'update site... c'est juste l'adresse officielle où sont indiquées les différentes url des update site en fonction des versions d'Eclipse.
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Pensez à cliquer sur le bouton une fois votre problème solutionné, merci.

  12. #12
    Invité de passage
    Inscrit en
    août 2010
    Messages
    2
    Détails du profil
    Informations forums :
    Inscription : août 2010
    Messages : 2
    Points : 2
    Points
    2

    Par défaut

    Bonjour à tous,

    Apparemment j'ai un pb lorsque j'installe Babel en français pour Galileo (eclipse-jee-galileo-SR2-win32.zip).

    J'utilise "Install new software" avec l'URL http://download.eclipse.org/technolo...R0.8.0/galileo qui est l'URL préconisée sur la page de téléchargement Babel (http://www.eclipse.org/babel/downloads.php)

    Ça se passe bien... sauf qu'une fois installé et Eclipse re-démarré, je ne peux plus importer de projet ("Fichier", "Importer" ou bouton droit dans la fenêtre "Explorateur de projet", "Importer", "Importer"). La fenêtre d'importation ne s'ouvre plus.

    Si je dé-installe tout ça, ça re-marche.

    Du coup j'ai investigué un peu plus en désinstallant greffon par greffon et celui qui semble produire le pb serait :
    Babel Language Pack for rt.rap in French (90.49%) 3.5.0.v20100814074441

    Quelqu'un a-t-il expérimenté le même désagrément ?

    Bon, la solution consiste à ne pas installer ce greffon mais s'il existe une solution plus satisfaisante, je suis preneur...

    Merci.

  13. #13
    Modérateur
    Avatar de CinePhil
    Homme Profil pro Philippe Leménager
    Ingénieur d'études en informatique
    Inscrit en
    août 2006
    Messages
    13 713
    Détails du profil
    Informations personnelles :
    Nom : Homme Philippe Leménager
    Âge : 50
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Activité : Ingénieur d'études en informatique
    Secteur : Enseignement

    Informations forums :
    Inscription : août 2006
    Messages : 13 713
    Points : 25 575
    Points
    25 575

    Par défaut Erreur pour Hélios en français

    Help > Software updates > Find and install Search for new features to install > Next > New remote site > Name : Babel / URL : http://download.eclipse.org/technolo.../R0.8.0/helios comme dit sur le site de Babel, OK > Finish > Message d'erreur !
    Network connection problems encountered during search.
    Unable to access "http://download.eclipse.org/technology/babel/update-site/R0.8.0/helios".
    Error parsing site stream. [The XML stream is not a valid default "site.xml" file. The root tag is not site.]
    The XML stream is not a valid default "site.xml" file. The root tag is not site.
    Error parsing site stream. [The XML stream is not a valid default "site.xml" file. The root tag is not site.]
    The XML stream is not a valid default "site.xml" file. The root tag is not site.
    Quel est le problème ?

    Autre méthode :
    Help > Install new software > Work with : Babel - http://download.eclipse.org/technolo.../R0.8.0/helios mais la fenêtre où devrait apparaître les disponibilités affiche Pending... et c'est tout.
    Philippe Leménager. Ingénieur d'étude à l'École Nationale de Formation Agronomique. Autoentrepreneur.
    Mon blog sur la conception des BDD, le langage SQL, le PHP avec Zend Framework...
    « Ce que l'on conçoit bien s'énonce clairement, et les mots pour le dire arrivent aisément ». (Nicolas Boileau)
    À la maison comme au bureau, j'utilise la suite Linux Mageïa !

  14. #14
    Membre régulier Avatar de FrontLine
    Profil pro Nicolas
    Webmaster
    Inscrit en
    janvier 2008
    Messages
    173
    Détails du profil
    Informations personnelles :
    Nom : Nicolas
    Âge : 32

    Informations professionnelles :
    Activité : Webmaster

    Informations forums :
    Inscription : janvier 2008
    Messages : 173
    Points : 90
    Points
    90

    Par défaut

    Pareil le pending en moins ...
    Je crois que c'est un problème de permission.

  15. #15
    Invité de passage
    Inscrit en
    août 2010
    Messages
    2
    Détails du profil
    Informations forums :
    Inscription : août 2010
    Messages : 2
    Points : 2
    Points
    2

    Par défaut

    Bonjour à tous,

    J'ai le même problème (et la même solution) avec Hélios (eclipse-jee-helios-SR2-win32) et le site de mise à jour Babel http://download.eclipse.org/technolo.../R0.8.1/helios

    Geai rare

    Citation Envoyé par Geai rare Voir le message
    Bonjour à tous,

    Apparemment j'ai un pb lorsque j'installe Babel en français pour Galileo (eclipse-jee-galileo-SR2-win32.zip).

    J'utilise "Install new software" avec l'URL http://download.eclipse.org/technolo...R0.8.0/galileo qui est l'URL préconisée sur la page de téléchargement Babel (http://www.eclipse.org/babel/downloads.php)

    Ça se passe bien... sauf qu'une fois installé et Eclipse re-démarré, je ne peux plus importer de projet ("Fichier", "Importer" ou bouton droit dans la fenêtre "Explorateur de projet", "Importer", "Importer"). La fenêtre d'importation ne s'ouvre plus.

    Si je dé-installe tout ça, ça re-marche.

    Du coup j'ai investigué un peu plus en désinstallant greffon par greffon et celui qui semble produire le pb serait :
    Babel Language Pack for rt.rap in French (90.49%) 3.5.0.v20100814074441

    Quelqu'un a-t-il expérimenté le même désagrément ?

    Bon, la solution consiste à ne pas installer ce greffon mais s'il existe une solution plus satisfaisante, je suis preneur...

    Merci.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •